import { Expose, Type } from 'class-transformer';
import { InstitucionUsuarioOutputDto } from '../../../institucion-usuario/dto/output/institucion-usuario.dto';
import { TipoUsuarioOutputDto } from '../../../tipo-usuario/dto/output/tipo-usuario.dto';

export class UsuarioOutputDto {
  @Expose()
  id_usuario;

  @Expose()
  activo;

  @Expose()
  correo;

  @Expose()
  nombre;

  @Expose()
  telefono;

  @Expose()
  usuario;

  @Expose()
  @Type(() => InstitucionUsuarioOutputDto)
  instituciones;

  @Expose()
  @Type(() => TipoUsuarioOutputDto)
  tipoUsuario;
}
