import { IsInt, IsNotEmpty, IsString, MaxLength } from 'class-validator';

export class MultarDto {
  @IsString()
  @IsNotEmpty()
  @MaxLength(250)
  descripcion: string;

  @IsInt()
  id_institucion_infraccion: number;

  @IsInt()
  id_operador: number;

  @IsInt()
  id_prestamo: number;
}
