import { IsInt, IsNotEmpty, IsString, MaxLength } from 'class-validator';

export class CancelarOperadorDto {
  @IsInt()
  id_operador: number;

  @IsInt()
  id_prestamo: number;

  @IsString()
  @IsNotEmpty()
  @MaxLength(250)
  motivo: string;
}
