import { IsNotEmpty, IsNumberString, IsString } from 'class-validator';

export class DgpInputDto {
  @IsNumberString()
  id_institucion: string;

  @IsString()
  @IsNotEmpty()
  rfc: string;

  @IsString()
  @IsNotEmpty()
  usuario: string;
}
