import { IsEmail, IsInt, IsOptional, IsPhoneNumber } from 'class-validator';

export class UpdateUsuarioInputDto {
  @IsInt()
  id_usuario: number;

  @IsEmail()
  @IsOptional()
  correo?: string;

  @IsPhoneNumber('MX')
  @IsOptional()
  telefono?: string;
}
